# FoundationClasses
TKernel
TColStd

# TColStd_HArray1OfBoolean Class Reference

`#include <TColStd_HArray1OfBoolean.hxx>`

Inheritance diagram for TColStd_HArray1OfBoolean:

[legend]

## Public Member Functions

Standard_EXPORT | TColStd_HArray1OfBoolean (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | TColStd_HArray1OfBoolean (const Standard_Integer Low, const Standard_Integer Up, const Standard_Boolean &V)
Standard_EXPORT void | Init (const Standard_Boolean &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Standard_Boolean &Value)
const Standard_Boolean & | Value (const Standard_Integer Index) const
Standard_Boolean & | ChangeValue (const Standard_Integer Index)
const TColStd_Array1OfBoolean & | Array1 () const
TColStd_Array1OfBoolean & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TColStd_Array1OfBoolean | myArray

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_HArray1OfBoolean::TColStd_HArray1OfBoolean | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT TColStd_HArray1OfBoolean::TColStd_HArray1OfBoolean | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Standard_Boolean & | V
| ) |

## Member Function Documentation

const TColStd_Array1OfBoolean& TColStd_HArray1OfBoolean::Array1 | ( |  | ) | const

TColStd_Array1OfBoolean& TColStd_HArray1OfBoolean::ChangeArray1 | ( |  | ) |

Standard_Boolean& TColStd_HArray1OfBoolean::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const TColStd_HArray1OfBoolean::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT void TColStd_HArray1OfBoolean::Init | ( | const Standard_Boolean & | V | ) |

Standard_Integer TColStd_HArray1OfBoolean::Length | ( |  | ) | const

Standard_Integer TColStd_HArray1OfBoolean::Lower | ( |  | ) | const

void TColStd_HArray1OfBoolean::SetValue | ( | const Standard_Integer | Index,
|  | const Standard_Boolean & | Value
| ) |

Standard_Integer TColStd_HArray1OfBoolean::Upper | ( |  | ) | const

const Standard_Boolean& TColStd_HArray1OfBoolean::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

TColStd_Array1OfBoolean TColStd_HArray1OfBoolean::myArray `[private]`

The documentation for this class was generated from the following file:

- TColStd_HArray1OfBoolean.hxx